org.springframework.cloud.dataflow.core

## Enum AuditActionType

- java.lang.Object
- - java.lang.Enum<AuditActionType>
  - - org.springframework.cloud.dataflow.core.AuditActionType

- All Implemented Interfaces:
    Serializable, Comparable<AuditActionType>

      public enum AuditActionType
      extends Enum<AuditActionType>

  Represent the various actions possible for Auditing events.
  Author:
    Gunnar Hillert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `DELETE`
    `DEPLOY`
    `LOGIN_SUCCESS`
    `ROLLBACK`
    `UNDEPLOY`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditActionType` | `fromId(Long auditActionTypeId)`
    `String` | `getDescription()`
    `Long` | `getId()`
    `String` | `getKey()`
    `String` | `getName()`
    `String` | `getNameWithDescription()`
    `static AuditActionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuditActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final AuditActionType CREATE

    - #### DELETE

          public static final AuditActionType DELETE

    - #### DEPLOY

          public static final AuditActionType DEPLOY

    - #### ROLLBACK

          public static final AuditActionType ROLLBACK

    - #### UNDEPLOY

          public static final AuditActionType UNDEPLOY

    - #### UPDATE

          public static final AuditActionType UPDATE

    - #### LOGIN_SUCCESS

          public static final AuditActionType LOGIN_SUCCESS

  - ### Method Detail

    - #### values

          public static AuditActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditActionType c : AuditActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditActionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public Long getId()

    - #### getName

          public String getName()

    - #### getKey

          public String getKey()

    - #### getDescription

          public String getDescription()

    - #### getNameWithDescription

          public String getNameWithDescription()

    - #### fromId

          public static AuditActionType fromId(Long auditActionTypeId)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.